Image::Info::WBMP(3)

NAME
Image::Info::WBMP - WBMP support for Image::Info

SYNOPSIS
 use Image::Info qw(dim);
 use Image::Info::WBMP qw(wbmp_image_info);

 my $info = wbmp_image_info("image.xpm");
 if (my $error = $info->{error}) {
     die "Can't parse image info: $error\n";
 }
 my($w, $h) = dim($info);

DESCRIPTION
wbmp is a magic-less file format, so using Image::Info's "image_info" or "image_type" does not work here. Instead, the user has to determine the file type himself, e.g. by relying on the file suffix or mime type, and use the "wbmp_image_info" function instead. The returned value looks the same like Image::Info's "image_info" and may be used in a call to the "dim" function.

AUTHOR
Slaven Rezic <srezic@cpan.org>